Bug 124649 - Extra buttons on Inspiron 8200 don't have any keycodes
Extra buttons on Inspiron 8200 don't have any keycodes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-28 03:44 EDT by André Fettouhi
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:27:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to get the 4 extra buttons on an Inspiron 8200 working on kernel 2.6.5 and above (1.02 KB, patch)
2004-11-05 08:17 EST, André Fettouhi
no flags Details | Diff

  None (edit)
Description André Fettouhi 2004-05-28 03:44:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
I'm using Fedoara Cpre 2 FINAL on my DELL Inspiron 8200 laptop and 
the four extra buttons play/pause, stop, prev and next don't work. I 
tried to bind them with the latest LinEAK (0.8.3beta) but no luck. I 
then checked for their keycodes with xev but they produce no 
kewycodes. Then I discovered after looking around the internet that 
one can give then keycodes through their raw codes which are e_001 to 
e_004. That I tried a gave them the old keycodes as they had on the 
2.4 kernel (129 to 132). Checked again with xev and saw that they 
where shifted, i.e. they had keycodes from 132 to 134 and 140. This 
is very frustating, I looked for a patch but didn't find any for the 
new 2.6.5 kernel. It seems like this a problem since the release of 
the 2.6 kernel (even during the test fase). I really really that this 
is going to be fixed very soon.

Kind Regards

André Fettouhi

E-mail : Andre.Fettouhi@exp2.physik.uni-giessen.de

Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358

How reproducible:
Always

Steps to Reproduce:
1. log in on a inspiron 8200 with a Fedora Core 2 Linux on
2. start xev 
3. press the 4 extra buttons
    

Actual Results:  Nothing happens no keycodes or shifted (see 
description)

Additional info:
Comment 1 André Fettouhi 2004-11-05 08:17:22 EST
Created attachment 106213 [details]
patch to get the 4 extra buttons on an Inspiron 8200 working on kernel 2.6.5 and above

This is patch for getting the 4 multimedia buttons working again on a Dell
Inspiron 8200 on the 2.6 kernel. This patch should be applied on kernels from
2.6.5 and up (2.6.9). See http://linux.siprell.com/ for more information on the
patch.

PS. I did not write this patch I just found it and I am reporting it since it
seems like it hasn't been reported yet. I have also reported it to
bugzilla.kernel.org along with the bug that the 4 multimedia buttons don't work
on the 2.6 kernels.
Comment 2 Dave Jones 2005-04-16 01:27:49 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.